@testset "FACT_data_API_reader FACT_air test" begin
    df1 = get_geo_objects("nm_counties")
    selection_dict = Dict(
        "geo_id" => df1[!, :geo_id],
        "shape_obj" => df1[!, :shape_obj],
    )
    # TEST of blocks
    df_counties = get_airports_traffic("us_air", selection_dict)
    # Test if the result is a DataFrame
    @test df_counties isa DataFrame
    # Test for expected number of rows/columns
    @test size(df_counties, 1) == 33
    @test size(df_counties, 2) == 3
end
