@testset "FACT_data_API_reader FACT_road_NA test" begin
    df1 = get_geo_objects("nm_counties")
    resize!(df1, 3)
    selection_dict = Dict(
        "geo_id" => df1[!, :geo_id],
        "shape_obj" => df1[!, :shape_obj],
    )
    # TEST of counties
    df_counties = get_travel_data_na("travel_time_in_minutes", selection_dict)
    # Test if the result is a DataFrame
    @test df_counties isa DataFrame
    # Test for expected number of rows/columns
    @test size(df_counties, 1) == 6
    @test size(df_counties, 2) == 3
end
