@testset "FACT_data_API_reader FACT_bldgs test" begin
    df1 = get_geo_objects("no_counties")
    resize!(df1, 3)
    selection_dict = Dict(
        "geo_id" => df1[!, :geo_id],
        "shape_obj" => df1[!, :shape_obj],
    )
    # TEST of counties
    df_counties = get_bldgs_footprint_height("footprint_avg_height", selection_dict)
    # Test if the result is a DataFrame
    @test df_counties isa DataFrame
    # Test for expected number of rows/columns
    @test size(df_counties, 1) == 3
    @test size(df_counties, 2) == 5
end
