@testset "FACT_data_API_reader FACT_mine test" begin
    df1 = get_geo_objects("no_counties")
    resize!(df1, 3)
    selection_dict = Dict(
        "geo_id" => df1[!, :geo_id],
        "shape_obj" => df1[!, :shape_obj],
        #"region" => "EU",
        "area" => df1[!, :area]
    )
    # TEST of geology
    df_counties = get_geology("geology_full", selection_dict)
    # Test if the result is a DataFrame
    @test df_counties isa DataFrame
    # Test for expected number of rows/columns
    @test size(df_counties, 1) == 3
    @test size(df_counties, 2) == 27
    # TEST of minerals
    df_2 = get_minerals("minerals_full", selection_dict)
    # Test if the result is a DataFrame
    @test df_2 isa DataFrame
    # Test for expected number of rows/columns
    @test size(df_2, 1) == 3
    @test size(df_2, 2) == 14
end
